<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Story8</title>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="/resources/demos/style.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script>
    $( function() {
        $( "#accordion" )
      .accordion({
        header: "> div > h3"
      })
      .sortable({
        axis: "y",
        handle: "h3",
        stop: function( event, ui ) {
          // IE doesn't register the blur when sorting
          // so trigger focusout handlers to remove .ui-state-focus
          ui.item.children( "h3" ).triggerHandler( "focusout" );
 
          // Refresh accordion to handle new order
          $( this ).accordion( "refresh" );
        }
      });
  } );

    $(function() {
        $('.up').on('click', function(e) {
            var wrapper = $(this).closest('.accordion-section')
            wrapper.insertBefore(wrapper.prev())
    })
        $('.down').on('click', function(e) {
            var wrapper = $(this).closest('.accordion-section')
            wrapper.insertAfter(wrapper.next())
        })
    })
    
    </script>
    <style>
        ul li:first-child a.up,
        ul li:last-child a.down {
        display: none;
        }

        body {
            background-color: #a6a6a6;
        }
    </style>
</head>

<body>
    <h1 style="text-align: center; padding: 30px;">About Me</h1>
    <div class = "container">
        <div id="accordion">

            <div class="accordion-section">
                <h3>Name <a class='up btn btn-outline-secondary' href='#'>^</a> <a class='down btn btn-outline-secondary' href='#'>v</a></h3>
                <div class="accordion-content">
                    <p>
                    Muhammad Zahran Agung Dewantoro
                    </p>
                </div>
            </div>

            <div class="accordion-section">
                <h3>University and Student Number <a class='up btn btn-outline-secondary' href='#'>^</a> <a class='down btn btn-outline-secondary' href='#'>v</a></h3>
                <div class="accordion-content">
                    <p>
                    University of Indonesia - 1906426922
                    </p>
                </div>
            </div>

            <div class="accordion-section">
                <h3>Hobby <a class='up btn btn-outline-secondary' href='#'>^</a> <a class='down btn btn-outline-secondary' href='#'>v</a></h3>
                <div class="accordion-content">
                    <ul>
                        <li>Video Gaming</li>
                        <li>Watching Movie</li>
                        <li>Listening Music</li>
                    </ul>
                </div>
            </div>

            <div class="accordion-section">
                <h3>Personal Description <a class='up btn btn-outline-secondary' href='#'>^</a> <a class='down btn btn-outline-secondary' href='#'>v</a></h3>
                <div class="accordion-content">
                    <p>
                    Hello my name is Zahran, i'm 18 years old. Currently i am a Computer Science student at Indonesia University.
                    </p>
                </div>
            </div>
        </div>
    </div>
</body>
</html>